/* dumpvrml.C: reads a VRML'97 file nd print it on stdout */

#include <iostream.h>
#include <stdlib.h>
#include "xrml.H"
#include "world.H"
#include "file.H"

using namespace xrml;

int main(int argc, char **argv)
{
  world *wrl = new world;

  if (!wrl->parse(argc<2 ? NULL : argv[1]))
    return 1;

  wrl->newframe();

  //  wrl->save();
  cout << wrl << '\n';

  return 0;
}
